Package org.freeplane.api

# Interface EdgeRO

All Known Subinterfaces:
  `Edge`, `Proxy.Edge`, `Proxy.EdgeRO`

public interface EdgeRO
Edge to parent node: `node.style.edge` - read-only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getColor()`
  `String`
  `getColorCode()`
  `Dash`
  `getDash()`
  `EdgeStyle`
  `getType()`
  `int`
  `getWidth()`
  `boolean`
  `isColorSet()`
  `boolean`
  `isDashSet()`
  `boolean`
  `isTypeSet()`
  `boolean`
  `isWidthSet()`

- ## Method Details

  - ### getColor

    Color getColor()

  - ### getColorCode

    String getColorCode()

  - ### isColorSet

    boolean isColorSet()
    Since:
      1.11.8

  - ### getType

    EdgeStyle getType()

  - ### isTypeSet

    boolean isTypeSet()
    Since:
      1.11.8

  - ### getWidth

    int getWidth()

  - ### isWidthSet

    boolean isWidthSet()
    Since:
      1.11.8

  - ### getDash

    Dash getDash()
    Since:
      1.11.8

  - ### isDashSet

    boolean isDashSet()
    Since:
      1.11.8